<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WAN Status</title>
    <style>
        body {
            background: url('background.svg') no-repeat center center fixed;
            background-size: cover;
            background-color: #202124; /* Dark background color */
            color: #ffffff; /* Light text color */
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            margin: 0;
            padding: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        #logo {
            max-width: 300px; /* Adjust the max-width as needed */
            margin-bottom: 20px;
        }

        #info-banner {
            background-color: #37474F; /* Darker color for the banner */
            padding: 20px;
            text-align: center;
            width: 60%;
            border-radius: 8px;
            margin-bottom: 20px;
        }

        #redirect-button {
            background-color: #8af0a3; /* Button color */
            color: #202124; /* Dark text color */
            padding: 15px 30px;
            font-size: 16px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            transition: background-color 0.3s ease;
            margin-bottom: 20px;
        }

        #redirect-button:hover {
            background-color: #4fa3d1; /* Darker color on hover */
        }


    </style>
</head>

<body>
    <!-- Logo -->
    <img id="logo" src="sah-logo.svg" alt="SAH Logo">

    <!-- Info Banner -->
    <div id="info-banner">
        <p>Your WAN connection is down, please click the button below to be redirected to your local WebUI where you can look at your settings.</p>
    </div>

    <!-- Redirect Button -->
    <a id="redirect-button">Confirm</a>

    <script>
        /* Function to get the value of a query parameter by name */
        function getQueryParam(name) {
            const urlParams = new URLSearchParams(window.location.search);
            return urlParams.get(name);
        }

        const tokValue = getQueryParam('tok');
        const redirectButton = document.getElementById('redirect-button');
        redirectButton.addEventListener('click', function() {
            if (tokValue) {
                const redirectUrl = 'http://192.168.1.1:2050/opennds_auth/?redir=http%3A%2F%2F192.168.1.1%3A80&tok=' + tokValue;
                window.location.href = redirectUrl;
            }
        });
    </script>
</body>

</html>